# C7/8 makefile for READFLIC   #######
NAME     = readflic
SRCS     = $(NAME).c pcclone.c main.c 

####### Memory model         #######
LIBS	= mlibce
MOD   = -AM

####### DEBUG Defined        #######
DEBUG      = 1

####### Build Option Macros  #######
!if $(DEBUG)

CLOPT   = -Zid -Od
LOPT    = /CO /LI /MAP

!endif

####### Tool Macros          #######
#CFLAGS = 
CC      = cl -c $(MOD) -Zi -W3 $(CLOPT) $(DDEF) 
LINK    = link /NOD /NOE /ONERROR:NOEXE $(LOPT)
H       = flic.h pcclone.h readflic.h types.h

####### Main (default) Target ######
goal: $(NAME).exe

####### Implememtation       #######
$(NAME).exe:    $(SRCS:.c=.obj) $(H) 
    $(LINK) @<<
    $(SRCS:.c=.obj),
    $(NAME).exe, ,
    $(LIBS);
<<

main.obj: 
  $(CC) main.c $(H)

pcclone.obj: 
  $(CC) pcclone.c $(H)

readflic.obj: 
  $(CC) readflic.c $(H)

